Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
take.hpp File Reference

## Classes
struct | ranges::take_view< Rng >
struct | ranges::views::take_base_fn
struct | ranges::views::take_fn

## Typedefs
template<typename Rng >
using | ranges::cpp20::take_view = ranges::take_view< Rng >

## Functions
template<typename Rng >
| ranges::take_view (Rng &&, range_difference_t< Rng >) -> take_view< views::all_t< Rng >>

## Variables
template<typename Rng >
constexpr bool | ranges::enable_borrowed_range< take_view< Rng > >

## Typedef Documentation

## ◆ take_view

template<typename Rng >

using ranges::cpp20::take_view = typedef ranges::take_view<Rng>

Precondition
  requires `view_<Rng>`